Bug 127005 - Cannot build multimedia/kmplayer
Summary: Cannot build multimedia/kmplayer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-31 15:30 UTC by admin
Modified: 2008-09-06 14:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2008-08-31 15:30:01 UTC
acer# pwd
/usr/ports/multimedia/kmplayer
acer# make
===>  Found saved configuration for kmplayer-0.10.0c,2
===>  Extracting for kmplayer-0.10.0c_1,2
=> MD5 Checksum OK for tubestuff-20080314.tbz.
=> SHA256 Checksum OK for tubestuff-20080314.tbz.
=> MD5 Checksum OK for kmplayer-0.10.0c.tar.bz2.
=> SHA256 Checksum OK for kmplayer-0.10.0c.tar.bz2.
/usr/bin/tar xvf /usr/ports/distfiles/tubestuff-20080314.tbz /usr/ports/multimedia/kmplayer/work
tar: /usr/ports/multimedia/kmplayer/work: Not found in archive
tar: Error exit delayed from previous errors.
*** Error code 1

Stop in /usr/ports/multimedia/kmplayer.
*** Error code 1

Stop in /usr/ports/multimedia/kmplayer.
acer# uname -a
FreeBSD acer.lissyara.int.otradno.ru 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Fri Aug 29 04:16:32 MSD 2008     root@acer.lissyara.int.otradno.ru:/var/tmp/obj/usr/src/sys/main-color-console  amd64
acer#

Fix: 

change post-extract to
cd ${WRKDIR} && ${TAR} xvf ${DISTDIR}/tubestuff-${TUBESTUFF_VER}.tbz
How-To-Repeat: cd /usr/ports/multimedia/kmplaсв 
make
Comment 1 Edwin Groothuis freebsd_committer 2008-09-01 00:14:02 UTC
Maintainer of multimedia/kmplayer,

Please note that PR ports/127005 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127005

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-09-01 00:14:03 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 admin 2008-09-01 06:29:38 UTC
I have another machine with current.
Some problem:

lissyara# cd /usr/ports/multimedia/kmplayer/
lissyara# make
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for kmplayer-0.10.0c_1,2
===>  Extracting for kmplayer-0.10.0c_1,2
=> MD5 Checksum OK for tubestuff-20080314.tbz.
=> SHA256 Checksum OK for tubestuff-20080314.tbz.
=> MD5 Checksum OK for kmplayer-0.10.0c.tar.bz2.
=> SHA256 Checksum OK for kmplayer-0.10.0c.tar.bz2.
/usr/bin/tar xvf /usr/ports/distfiles/tubestuff-20080314.tbz 
/var/tmp/usr/ports/multimedia/kmplayer/work
tar: var/tmp/usr/ports/multimedia/kmplayer/work: Not found in archive
tar: Error exit delayed from previous errors.
*** Error code 1

Stop in /usr/ports/multimedia/kmplayer.
*** Error code 1

Stop in /usr/ports/multimedia/kmplayer.
lissyara# uname -a
FreeBSD lissyara.moskb.local 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Mon 
Aug  4 20:17:40 MSD 2008     
lissyara@lissyara.moskb.local:/tmp/obj/usr/src/sys/GENERIC  i386
lissyara#
Comment 4 Dmitry Marakasov freebsd_committer 2008-09-02 21:17:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 5 Dmitry Marakasov 2008-09-02 21:32:51 UTC
> Synopsis: Cannot build multimedia/kmplayer
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=127005

Please try this patch (note, the problem only shows itself if port is
build WITH_TUBESTUFF):

--- kmplayer.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/kmplayer/Makefile,v
retrieving revision 1.40
diff -u -r1.40 Makefile
--- Makefile	6 Jun 2008 13:48:10 -0000	1.40
+++ Makefile	2 Sep 2008 20:31:10 -0000
@@ -13,6 +13,7 @@
 MASTER_SITES=	http://freebsd.ricin.com/ports/distfiles/ \
 		http://kmplayer.kde.org/pkgs/
 DISTNAME=	${PORTNAME}-${PORTVERSION}
+DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
 
 MAINTAINER=	danny@ricin.com
 COMMENT=	KDE frontend to MPlayer, Xine, GStreamer
@@ -68,14 +69,10 @@
 
 .if defined(WITH_TUBESTUFF)
 TUBESTUFF_VER=	20080314
-DISTFILES=	tubestuff-${TUBESTUFF_VER}.tbz
-DISTFILES+=	${DISTNAME}.tar.bz2
+DISTFILES+=	tubestuff-${TUBESTUFF_VER}.tbz
 BUILD_DEPENDS+=	mencoder:${PORTSDIR}/multimedia/mencoder
 USE_PYTHON=	yes
 
-post-extract:
-	${TAR} xvf ${DISTDIR}/tubestuff-${TUBESTUFF_VER}.tbz ${WRKDIR}
-
 pre-patch:
 	${REINPLACE_CMD} -e 's|PREFIX=/usr/local|PREFIX=${PREFIX}|'\
 		${WRKDIR}/tubestuff/tubestuff-patch-kmplayerpartbase.cpp.in &&\
--- kmplayer.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 6 admin 2008-09-03 07:25:06 UTC
with this patch - all OK.
Thanks!
Comment 7 dfilter service freebsd_committer 2008-09-06 14:21:05 UTC
amdmi3      2008-09-06 13:20:56 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/kmplayer  Makefile 
  Log:
  - Fix build when WITH_TUBESTUFF is defined
  
  PR:             127005
  Submitted by:   Alex Keda <admin at lissyara dot su>
  Patch by:       me
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.41      +2 -5      ports/multimedia/kmplayer/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Dmitry Marakasov freebsd_committer 2008-09-06 14:21:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!